<div class="ch-comment-container"
    *ngFor="let comment of comments; let i = index"
>
  <!-- Parent comment -->
  <div class="parent"
        [ngClass]="{ 'edit-comment': commentToEdit._id === comment._id && isEdit }"
  >
    <!-- Parent comment -->
    <ch-comment-item [item]="comment"
                      [user]="user"
                      [isEdit]="isEdit"
                      (onEditClickBtn)="edit($event)"
                      (onRemoveClickBtn)="remove($event)"
    ></ch-comment-item><!-- end Parent comment -->
    <!-- Edit parent comment -->
    <ch-reply *ngIf="commentToEdit._id && isEdit"
              [item]="comment"
              [currentItem]="commentToEdit"
              [message]="commentMessage"
              [ifMain]="false"
              titleForm="COMMENT.EDIT"
              (onCancelClick)="cancel($event)"
              (onSubmitClick)="onEditSubmit($event)"
    ></ch-reply><!-- endEdit parent comment -->
    <!-- Add parent comment -->
    <div *ngIf="!comment.parentId && !isEdit">
      <button class="btn btn-link reply-link"
              *ngIf="currentItem !== comment"
              (click)="commentToEdit = comment">
        <i class="fa fa-reply" aria-hidden="true"></i>
        {{'COMMENT.REPLY' | translate}}
      </button>
      <ch-reply *ngIf="commentToEdit === comment"
                [item]="currentItem"
                [currentItem]="currentItem"
                [message]="commentMessage"
                [ifMain]="false"
                titleForm="COMMENT.LEAVE"
                (onCancelClick)="cancel($event)"
                (onSubmitClick)="onSubmit($event, comment._id)"
      ></ch-reply>
    </div><!-- end Add parent comment -->
    <div class="item-border"></div>
  </div><!-- Parent comment -->
  <!-- Child comment -->
  <div class="ch-comment-container"
      *ngFor="let c of comment.children; let i = index">
    <div class="child"
        [ngClass]="{'edit-comment': commentToEdit._id === c._id && isEdit }"
    >
    <ch-comment-item [item]="c"
                      [user]="user"
                      [isEdit]="isEdit"
                      (onEditClickBtn)="edit($event)"
                      (onRemoveClickBtn)="remove($event)"></ch-comment-item>

      <ch-reply *ngIf="(commentToEdit._id && c._id) && isEdit"
                [item]="c"
                [currentItem]="commentToEdit"
                [message]="commentMessage"
                [ifMain]="false"
                titleForm="COMMENT.EDIT"
                (onCancelClick)="cancel($event)"
                (onSubmitClick)="onEditSubmit($event)"></ch-reply>
                <!-- [commentEdit]="commentToEdit" -->

      <div class="item-border"></div>
    </div>
  </div><!-- Child comment -->
</div>
